package com.engine.kq.wfset.attendance.framework;

import com.engine.kq.log.KQLog;
import java.util.List;
import java.util.Map;

/**
 * 
 * @author wcd
 * @version 1.0 2014-06-19
 */
public interface BaseDao<T> {
  public KQLog kqLog = new KQLog();
	public abstract Comparable insert(T bean);

	public abstract void update(T bean);

	public abstract void delete(Comparable id);

	public abstract T get(Comparable id);

	public abstract List<T> find(Map<String, Comparable> map);
}
